{% load l10n i18n %}
{#<link href="https://cdn.jsdelivr.net/npm/@chenfengyuan/datepicker/dist/datepicker.min.css" rel="stylesheet">#}
{#<script src="https://cdn.jsdelivr.net/npm/@chenfengyuan/datepicker/dist/datepicker.min.js"></script>#}

<div class="form-group mb-3">
  <label {% if field.id_for_label %}for="{{ field.id_for_label }}" {% endif %}class="{{ label_class }}{% if not inline_class %} col-form-label{% endif %}{% if field.field.required %} requiredField{% endif %}">
    {{ field.label|safe }}{% if field.field.required %}<span class="asteriskField">*</span>{% endif %}
  </label>
  <div class="input-group{% if field.errors %} is-invalid{% endif %}">
    <button class="btn btn-primary decrease-time-button"
            type="button"
            title="{% blocktranslate %}-{{ units }} minutes{% endblocktranslate %}"
    ><i class="bi bi-dash-lg"></i></button>
    <input type="time" name="{{ field.html_name }}" id="{{ field.id_for_label }}" step="{{ step }}" data-units="{{ units }}" value="{{ field.value }}" class="form-control" {% include "bootstrap5/layout/attrs.html" with widget=field %}/>
    {% if show_current_time %}
      <span class="bg-light p-2 current-time">{% now "H:i:s" %}</span>
    {% endif %}
    <button class="btn btn-primary increase-time-button"
            type="button"
            title="{% blocktranslate %}+{{ units }} minutes{% endblocktranslate %}"><i class="bi bi-plus-lg"></i></button>
  </div>
  {% include 'bootstrap5/layout/field_errors_block.html' %}
</div>
